> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/smc-index/lifecheck-method",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Lifecheck Method

> Check if there are any bookings in the last 19 hours.
Returns status "ok" if bookings exist, "dead" otherwise.



## OpenAPI

````yaml get /lifecheck
openapi: 3.1.0
info:
  title: TON SC Indexer V2
  description: TON Smart Contracts Indexer. Nominator pools, V2.
  version: 0.0.2
servers:
  - url: https://toncenter.com/api/smc-index
  - url: https://testnet.toncenter.com/api/smc-index
security: []
paths:
  /lifecheck:
    get:
      summary: Lifecheck Method
      description: |-
        Check if there are any bookings in the last 19 hours.
        Returns status "ok" if bookings exist, "dead" otherwise.
      operationId: lifecheck_method_api_smc_index_lifecheck_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LifecheckModel'
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    LifecheckModel:
      properties:
        status:
          type: string
          title: Status
        last_booking_time:
          type: integer
          title: Last Booking Time
      type: object
      required:
        - status
        - last_booking_time
      title: LifecheckModel
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key

````